<?php
/**
 * General Functions File For WP Slick Slider
 */

/*
 * Echo Out The Option Driven JS.
 */
function wpss_js_init(){
global $wpss_options;
    /*
     * get all the slides.
     */
    $slides = get_terms( 'wpss_sliders' );

    echo "<script type='text/javascript'>jQuery(document).ready(function($){ \n";
    //Cycle through them
    foreach( $slides as $slide ){

	$slider_opts = array( 'timeout' , 'pause', 'pauseOnPagerHover' , 'fx', 'easing', 'speed' );

	$data = get_option( 'wpss_' . $slide->slug . '_options' );

	//If A Slider Timeout Has Been Specified:
	$timeout = ( isset( $data['wpss_timeout'] ) ) ?  $data['wpss_timeout'] : 0 ;

	//Pause On Hover
	$pause = ( isset( $data['wpss_pauseonhover'] ) ) ? 1 : 0 ;

	//Pause on Pager Hover?
	$pauseOnPagerHover = ( isset( $data['wpss_pauseonpagerhover'] ) ) ? 1 : 0 ;

	//wpss_slider_speed
	$speed = ( isset( $data['wpss_speed'] ) ) ? $data['wpss_speed']  : false ;

	//Effects
	$fx = false;
	if(  isset( $data['wpss_effects'] ) ){
	    $fx = implode( ',', $data['wpss_effects'] );
	}

	//Easing
	$easing = ( isset( $data['wpss_easing'] ) ) ?  $data['wpss_easing'] : false ;

	echo "$( '#wpss_slideshow_" . $slide->slug . " .wpss_slideshow_' ).cycle({\n";
	    foreach( $slider_opts as $opt ){
		if( $$opt !== false ){
		    echo "'" . $opt . "' : '" . $$opt . "',\n";
		}
	    }
	echo "'pager' : '#wpss_slideshow_pager_" . $slide->slug . "' \n";
	echo "}); \n\n";

    }

    echo "})</script>";

    foreach( $slides as $slide ){

	$data = get_option( 'wpss_' . $slide->slug . '_options' );

	//echo '/*' . var_dump( $data ) . '*/';

	$halfwidth = $data['wpss_halfwidth'];
	$fullwidth = $data['wpss_fullwidth'];
	$height = $data['wpss_height'];
	$textHalfWidth = ( $fullwidth - $halfwidth ) - 20;
	$pagerTop = $height - 20 ;

	echo '<style type="text/css" media="all">
	#wpss_slideshow_' . $slide->slug . '{ padding:10px; background-color:#F1F1F1; height:' . $height . 'px; overflow:hidden; position:relative; margin-bottom:5px; clear:both; }
	#wpss_slideshow_' . $slide->slug . ' .wpss_img.half{ float:left; width:' . $halfwidth . 'px; }
	#wpss_slideshow_' . $slide->slug . ' .wpss_img.half{ float:left; width:' . $halfwidth . 'px; }
	#wpss_slideshow_' . $slide->slug . ' .wpss_content_half{ padding: 10px; float:left; width:' . $textHalfWidth . 'px; }
	#wpss_slideshow_pager_' . $slide->slug . '{ position:absolute; z-index:1000; right:17px; top:' . $pagerTop . 'px; }
	#wpss_slideshow_pager_' . $slide->slug . ' a{ float:left; height:20px; width:20px; text-align:center; line-height:20px; color:#FFF; background-color:#000; margin-right:5px; }
	#wpss_slideshow_pager_' . $slide->slug . ' a:hover, #wpss_slideshow_pager_' . $slide->slug . ' a.activeSlide{ background-color:#1f1e1e; }
	</style>';

    }

}
add_action( 'wp_head' , 'wpss_js_init' );
?>